
Redmine - Defect #4892

Problem with task redmine:email:receive_imap 

2010-02-22 14:45 - Alex Rojo

Status: Closed Start date: 2010-02-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 0.9.2

Description

I had the receiving mails by imap correctly working under 0.8 version but I have update to 0.9.2 and now, when there is a mail in the

imap INBOX and I excecute:

/usr/bin/rake -f /var/www/redmine/Rakefile redmine:email:receive_imap --trace RAILS_ENV="productio

n" host=XXXXXX username=XXXXX password=XXXXXX

 I get this error:

rake aborted!

Unknown namespace.

/usr/lib/ruby/1.8/net/imap.rb:981:in `pick_up_tagged_response'

/usr/lib/ruby/1.8/net/imap.rb:974:in `get_tagged_response'

/usr/lib/ruby/1.8/net/imap.rb:1032:in `send_command'

/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/lib/ruby/1.8/net/imap.rb:1017:in `send_command'

/usr/lib/ruby/1.8/net/imap.rb:1187:in `copy_internal'

/usr/lib/ruby/1.8/net/imap.rb:747:in `copy'

/var/www/redmine-0.9-stable/lib/redmine/imap.rb:45:in `check'

/var/www/redmine-0.9-stable/lib/redmine/imap.rb:32:in `each'

/var/www/redmine-0.9-stable/lib/redmine/imap.rb:32:in `check'

/var/www/redmine-0.9-stable/lib/tasks/email.rake:133

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `call'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `execute'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `each'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `execute'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:597:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:590:in `invoke_with_call_chain'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:583:in `invoke'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2051:in `invoke_task'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `each'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2023:in `top_level'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2001:in `run'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in `run'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31

/usr/bin/rake:19:in `load'

/usr/bin/rake:19

(in /var/www/redmine-0.9-stable)

** Invoke redmine:email:receive_imap (first_time)

** Invoke environment (first_time)

** Execute environment

** Execute redmine:email:receive_imap

 Next, I will cut&paste the source from one of the mail messages that has generated this error:

Return-Path: <arojoal@gmail.com>

Delivered-To: redmine@gynaika.net
Received: from b0.ovh.net (HELO queue) (213.186.33.50)

    by b0.ovh.net with SMTP; 22 Feb 2010 12:08:59 -0000

Received: from mail-fx0-f219.google.com (209.85.220.219)

  by mx3.ovh.net with SMTP; 22 Feb 2010 12:08:58 -0000

Received: by fxm19 with SMTP id 19so2372365fxm.1

        for <redmine@gynaika.net>; Mon, 22 Feb 2010 04:08:58 -0800 (PST)

DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;

        d=gmail.com; s=gamma;

        h=domainkey-signature:mime-version:sender:received:in-reply-to

         :references:date:x-google-sender-auth:message-id:subject:from:to

         :content-type;

        bh=ciGzez+/upG/5p/L6utimw9o2zsHoUmL//mmvVw9BjY=;

        b=JaI4d0a0QEpFwEO2SZtmJM1wEg89XeP3cnAEVTFmLxCIdt3acDm1FC+rPu7zohqmt+

         foyw+OCTX2fjG6isae7VZg8MfKec/uu9rCPxb26SijCnTU2LUaXPtQF7AQAdKJ+feSTn

         87d5xMZZ+hqQhFPt8m40OArij2GnVKt8NW20c=

DomainKey-Signature: a=rsa-sha1; c=nofws;

        d=gmail.com; s=gamma;

        h=mime-version:sender:in-reply-to:references:date

         :x-google-sender-auth:message-id:subject:from:to:content-type;

        b=hM5zoOL0RRS5/hoZ3EH+BRFrQ5cRqmaIJT3TEmOeTx/0TPTa3x44S/5TlLBm5AHYRH

         eaIDFUkTO8xnozDBd5xHm7Ze9qgsxDijPAKPNYt45UwFVjRVZNYTYrp51jVnY6xsY4if

         DqgX0psvTlqBTvvG4uOlbLkjwB4mMR1fbr77U=

MIME-Version: 1.0

Sender: arojoal@gmail.com

Received: by 10.239.191.194 with SMTP id c2mr1660509hbi.57.1266840537626; Mon, 

    22 Feb 2010 04:08:57 -0800 (PST)

In-Reply-To: <redmine.journal-2398.20100222130826@gynaika.net>

References: <redmine.issue-970.20100222124151@gynaika.net>

     <redmine.journal-2398.20100222130826@gynaika.net>

Date: Mon, 22 Feb 2010 13:08:57 +0100

X-Google-Sender-Auth: 59ffbe754549d644

Message-ID: <5e1c0bff1002220408n7616b60ap4061772948b640a4@mail.gmail.com>

Subject: =?UTF-8?Q?Re=3A_=5BOportunidades_=2D_Gesti=C3=B3n_=23970=5D_prueba_alex?=

From: Alex Rojo <arojo@computer.org>

To: redmine@gynaika.net

Content-Type: multipart/alternative; boundary=001485f85b9c3b778204802f4c67

X-Ovh-Tracer-Id: 8347984860564971326

X-Ovh-Remote: 209.85.220.219 (mail-fx0-f219.google.com)

X-Ovh-Local: 213.186.33.73 (mx3.ovh.net)

X-Spam-Check: DONE|U 0.5/N

--001485f85b9c3b778204802f4c67

Content-Type: text/plain; charset=UTF-8

Content-Transfer-Encoding: quoted-printable

prueba mail

2010/2/22 <redmine@gynaika.net>

>  Issue #970 has been updated by Itxaso Lizuain.

>

>

> sadasdassadsad

> ------------------------------

> Gesti=C3=B3n #970: prueba alex <http://redmine.gynaika.net/issues/970>

>

>    - Author: Itxaso Lizuain

>    - Status: New

>    - Priority: Normal

>    - Assigned to: Alex Rojo

>    - Category:

>    - Target version:

>

> sfsdfsdsdfds

> ------------------------------

>

> You have received this notification because you have either subscribed to
> it, or are involved in it.

> To change your notification preferences, please click here:

> http://redmine.gynaika.net/my/account

>

--=20

Alex Rojo (arojo@computer.org)

Clave p=C3=BAblica en: http://pgpkeys.mit.edu

--001485f85b9c3b778204802f4c67

Content-Type: text/html; charset=UTF-8

Content-Transfer-Encoding: quoted-printable

prueba mail<br><br><div class=3D"gmail_quote">2010/2/22  <span dir=3D"ltr">=

&lt;<a href=3D"mailto:redmine@gynaika.net">redmine@gynaika.net</a>&gt;</spa=

n><br><blockquote class=3D"gmail_quote" style=3D"border-left: 1px solid rgb=

(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">

<div>

Issue #970 has been updated by Itxaso Lizuain.

<ul>

</ul>

<p>sadasdassadsad</p>

<hr>

<h1><a href=3D"http://redmine.gynaika.net/issues/970" target=3D"_blank">Ges=

ti=C3=B3n #970: prueba alex</a></h1>

<ul>

<li>Author: Itxaso Lizuain</li>

<li>Status: New</li>

<li>Priority: Normal</li>

<li>Assigned to: Alex Rojo</li>

<li>Category: </li>

<li>Target version: </li>

</ul><div class=3D"im">

<p>sfsdfsdsdfds</p>

<hr>

<span><p>You have received this notification because you have either subscr=

ibed to it, or are involved in it.<br>To change your notification preferenc=

es, please click here: <a href=3D"http://redmine.gynaika.net/my/account" ta=

rget=3D"_blank">http://redmine.gynaika.net/my/account</a></p>

</span>

</div></div>

</blockquote></div><br><br clear=3D"all"><br>-- <br>Alex Rojo (<a href=3D"m=

ailto:arojo@computer.org">arojo@computer.org</a>)<br>Clave p=C3=BAblica en:=

 <a href=3D"http://pgpkeys.mit.edu">http://pgpkeys.mit.edu</a><br>

--001485f85b9c3b778204802f4c67--

History

#1 - 2010-06-19 23:50 - Felix Schäfer

Can you confirm this is still a problem, preferably with the most current version?

#2 - 2010-06-20 08:42 - Alex Rojo

- Status changed from New to Resolved

seems to work now.

2025-05-02 3/4



#3 - 2010-06-20 09:20 - Felix Schäfer

- Status changed from Resolved to Closed

- Resolution set to Cant reproduce

Great, thanks for the feedback :-)

#4 - 2011-06-28 02:13 - Matt Connolly

I'm getting this error message, but it appears to be happening for me when trying to copy the mail message into a move_on_success mailbox. There

seems to be very little error checking in the imap code :(

#5 - 2011-06-28 03:24 - Matt Connolly

My error was caused by an imap folder being incorrectly specified. ie: the name of the folder wasn't correct.
